Bug 3646 - rsync: connection unexpectedly closed (3207118 bytes received so far) [generator]
rsync: connection unexpectedly closed (3207118 bytes received so far) [genera...
Status: CLOSED INVALID
Product: rsync
Classification: Unclassified
Component: core
2.6.6
x86 Linux
: P3 normal
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 13:14 UTC by björne jonsén
Modified: 2006-10-15 14:01 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description björne jonsén 2006-03-30 13:14:58 UTC
Hello...

I run slackware-current and try to get a mirror on debian and get this error..
rsync: connection unexpectedly closed (3207118 bytes received so far) [generator]
rsync error: error in rsync protocol data stream (code 12) at io.c(434)

Why rsync die for me? have i done some wrong or a bug? :)

i run rsync: rsync --progress --exclude-from=/etc/script/debian --delete -lprtvvz rsync://ftp.uninett.no/debian /mnt/sdd/ftp/debian

and my excludefile are: 
*alpha.deb
*m68k.deb
*powerpc.deb
*sparc.deb
*arm.deb
*hppa.deb
*ia64.deb
*mips.deb
*mipsel.deb
*s390.deb
*hurd-i386.deb
*alpha.udeb
*m68k.udeb
*powerpc.udeb
*sparc.udeb
*arm.udeb
*hppa.udeb
*ia64.udeb
*mips.udeb
*mipsel.udeb
*s390.udeb
*hurd-i386.udeb
binary-alpha
binary-arm
binary-hurd-i386
binary-ia64
binary-mips
binary-powerpc
binary-sparc
binary-amd64
binary-hppa
binary-m68k
binary-mipsel
binary-s390
disks-alpha
disks-arm
disks-hurd-i386
disks-ia64
disks-mips
disks-powerpc
disks-sparc
disks-amd64
disks-hppa
disks-m68k
disks-mipsel
disks-s390
installer-alpha
installer-arm
installer-hurd-i386
installer-ia64
installer-mips
installer-powerpc
installer-sparc
installer-amd64
installer-hppa
installer-m68k
installer-mipsel
installer-s390

Best regards
  björne
Comment 1 Wayne Davison 2006-04-02 00:18:52 UTC
The first item in the FAQ covers this.  It refers you to the Issues and Debugging where it suggests ways for you to try to figure out if the connection is going down (outside of rsync's control) or why the remote rsync is failing.
Comment 2 Wayne Davison 2006-05-30 14:38:08 UTC
Since I didn't hear back from you, I'm closing this bug.  If you have additional details that indicate that this is an rsync bug, feel free to reopen this.